%define api	1.0
%define major	0
%define gmajor	1.0

%define libname	%mklibname gstvalidate %{api} %{major}
%define girname	%mklibname gstvalidate-gir %{gmajor}
%define devname	%mklibname gstvalidate %{api} -d

Name:		gstreamer1.0-validate
Summary:	Suite of tools to run GStreamer1.0 integration tests
Version:	1.8.3
Release:	%mkrel 1
License:	LGPLv2+
Group:		Video
Url:		www.google.com
Source0:	http://gstreamer.freedesktop.org/src/gst-validate/gst-validate-%{version}.tar.xz
Patch0:		gst-validate-1.6.0-linking.patch
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)

%description
The goal of GstValidate is to be able to detect when elements are not
behaving as expected and report it to the user so he knows how things
are supposed to work inside a GstPipeline. In the end, fixing issues
found by the tool will ensure that all elements behave all together in
the expected way.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries and gstreamer1.0 plugins
for %{name}.


%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the shared libraries and development files
for %{name}.

%prep
%setup -qn gst-validate-%{version}

%build
autoreconf -vfi
./configure --prefix=/usr --libdir=%{_libdir} \
	--enable-gtk-doc=no \
	--disable-sphinx-doc \
	--with-package-origin="http://www.pclinuxos.com" \
	--disable-static

%make

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/gst-validate-1.0
%{_bindir}/gst-validate-images-check-1.0
%{_bindir}/gst-validate-launcher
%{_bindir}/gst-validate-media-check-1.0
%{_bindir}/gst-validate-transcoding-1.0
%{_libdir}/gst-validate-launcher/
%{_datadir}/gstreamer-1.0/validate/

%files -n %{libname}
%{_libdir}/libgstvalidate-%{api}.so.%{major}
%{_libdir}/libgstvalidate-%{api}.so.%{major}.*
%{_libdir}/libgstvalidate-default-overrides-%{api}.so.%{major}
%{_libdir}/libgstvalidate-default-overrides-%{api}.so.%{major}.*
%{_libdir}/libgstvalidatevideo-%{api}.so.%{major}
%{_libdir}/libgstvalidatevideo-%{api}.so.%{major}.*
%{_libdir}/girepository-1.0/GstValidate-%{gmajor}.typelib
%{_libdir}/gstreamer-1.0/validate/libgstvalidatefaultinjection.so
%{_libdir}/gstreamer-1.0/validate/libgstvalidategapplication.so
%{_libdir}/gstreamer-1.0/validate/libgstvalidategtk.so
%{_libdir}/gstreamer-1.0/validate/libgstvalidatessim.so

%{_libdir}/gstreamer-1.0/libgstvalidateplugin-%{api}.so.0
%{_libdir}/gstreamer-1.0/libgstvalidateplugin-%{api}.so.0.80*.0

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/gst-validate-%{api}/
%doc %{_datadir}/gtk-doc/html/gst-validate-plugins-%{api}/
%{_includedir}/gstreamer-1.0/gst/validate/
%{_includedir}/gstreamer-1.0/lib/validate/
%{_libdir}/pkgconfig/gst-validate-%{api}.pc
%{_datadir}/gir-1.0/GstValidate-%{gmajor}.gir
%{_libdir}/libgstvalidate-%{api}.so
%{_libdir}/libgstvalidate-default-overrides-%{api}.so
%{_libdir}/libgstvalidatevideo-%{api}.so
%{_libdir}/gstreamer-1.0/libgstvalidateplugin-%{api}.so

%changelog
* Fri Nov 18 2016 adrianomorselli <adrianomorselli> 1.8.3-1uplos2016
- rebuild

* Sun Sep 18 2016 bb <bb> 1.8.3-1pclos2016
- update

* Fri Jun 10 2016 bb <bb> 1.8.2-1pclos2016
- update

